Lead

The Leads Management module improves communication, support, and effective interaction. Utilize it to retrieve user tickets, create ticket histories, and generate new tickets.

Custom Form

A custom form in the Fynd Platform refers to a tailored web form created within the Fynd Platform platform to collect specific information from customers or website visitors. These forms are customizable and can be designed to gather various types of data, such as customer feedback, inquiries, registration details, event sign-ups, or product customization requests. Sellers can create custom forms using Fynd Platform's built-in form builder or by integrating third-party apps that offer advanced form-building capabilities. Custom forms created are available directly on websites. This resource facilitates the mechanism through which all custom forms can be retrieved and submitted.

Operations
GET
/service/application/lead/v1.0/form/{slug}
# Get custom form
POST
/service/application/lead/v1.0/form/{slug}/submit
# Submits form data
GET

Get custom form

Get a customizable form template for data collection.
Parameters
slugpath
string
Required
Slug of form whose response is getting submitted.
GET
/service/application/lead/v1.0/form/{slug}
Loading...
Response
200
Success
Hide
Details regarding a form.
application_id
string
Application ID - Identifier for a Sales channel.
slug
string
Slug for the form, which is to be used for accessing the form.
header_image
string
Form header image that will be shown to the user.
title
string
Form title that will be shown to the user.
description
string
Form description that will be shown to the user.
priority
object (Priority)
Show
login_required
boolean
If login is required to make a form response submission.
Default Value : false
should_notify
boolean
If new response submission for the form should be notified to the assignees.
Default Value : false
success_message
string
Message that is to be shown on successful form response submission.
submit_button
object (SubmitButton)
Show
inputs
array of object
List of all the form fields.
created_on
object (CreatedOn)
Show
poll_for_assignment
object (PollForAssignment)
Show
_id
string
Unique identifier for the form.
Examples
Parameters
Parameters are not required.
Response
Loading...
POST

Submits form data

Create user-entered data from a custom form for processing.
Parameters
slugpath
string
Required
Slug of form whose response is getting submitted.
Request body
response
array of object
Required
Custom form response.
attachments
array of object (TicketAsset)
List of all attachments related to the form.
Show
POST
/service/application/lead/v1.0/form/{slug}/submit
Loading...
Response
200
Success
Hide
Acknowledgement details on submission of custom form.
message
string
Success message for form submission.
ticket
object (Ticket)
Show
response
object (FormFieldDetails)
Show
Examples
Parameters
Parameters are not required.
Response
Loading...